Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DGEBAK

    java.lang.Object
      org.netlib.lapack.DGEBAK

    public class DGEBAK

extends java.lang.Object

    DGEBAK is a simplified interface to the JLAPACK routine dgebak.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DGEBAK forms the right or left eigenvectors of a real general matrix

     *  by backward transformation on the computed eigenvectors of the
     *  balanced matrix output by DGEBAL.
     *
     *  Arguments
     *  =========
     *
     *  JOB     (input) CHARACTER*1
     *          Specifies the type of backward transformation required:
     *          = 'N', do nothing, return immediately;
     *          = 'P', do backward transformation for permutation only;
     *          = 'S', do backward transformation for scaling only;
     *          = 'B', do backward transformations for both permutation and
     *                 scaling.
     *          JOB must be the same as the argument JOB supplied to DGEBAL.

     *
     *  SIDE    (input) CHARACTER*1
     *          = 'R':  V contains right eigenvectors;
     *          = 'L':  V contains left eigenvectors.
     *
     *  N       (input) INTEGER
     *          The number of rows of the matrix V.  N >= 0.
     *
     *  ILO     (input) INTEGER
     *  IHI     (input) INTEGER
     *          The integers ILO and IHI determined by DGEBAL.
     *          1 <= ILO <= IHI <= N, if N > 0; ILO=1 and IHI=0, if N=0.
     *
     *  SCALE   (input) DOUBLE PRECISION array, dimension (N)
     *          Details of the permutation and scaling factors, as returned
     *          by DGEBAL.
     *
     *  M       (input) INTEGER
     *          The number of columns of the matrix V.  M >= 0.
     *
     *  V       (input/output) DOUBLE PRECISION array, dimension (LDV,M)
     *          On entry, the matrix of right or left eigenvectors to be
     *          transformed, as returned by DHSEIN or DTREVC.
     *          On exit, V is overwritten by the transformed eigenvectors.
     *
     *  LDV     (input) INTEGER
     *          The leading dimension of the array V. LDV >= max(1,N).
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DGEBAK()`

Method Summary
`static void` | `DGEBAK(java.lang.String job, java.lang.String side, int n, int ilo, int ihi, double[] scale, int m, double[][] v, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DGEBAK

    public DGEBAK()

Method Detail

### DGEBAK

    public static void DGEBAK(java.lang.String job,
                              java.lang.String side,
                              int n,
                              int ilo,
                              int ihi,
                              double[] scale,
                              int m,
                              double[][] v,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD